#include "version.sh"

uniform sampler2D texUnit;
uniform highp vec2 perTexelDis;

in vec2 UV_f;

layout(location = 0) out vec4 fragColor;
void main()
{
    highp float a0 = texture(texUnit, UV_f).r;
    highp float a1 = texture(texUnit, UV_f - perTexelDis).r;
    highp float a2 = texture(texUnit, UV_f + perTexelDis).r;
    highp float a3 = texture(texUnit, UV_f - perTexelDis * 2.0).r;
    highp float a4 = texture(texUnit, UV_f + perTexelDis * 2.0).r;
    highp float a5 = texture(texUnit, UV_f - perTexelDis * 3.0).r;
    highp float a6 = texture(texUnit, UV_f + perTexelDis * 3.0).r;
    
//    float v = (a0 + a1 + a2 + a3 + a4) * (1.0 / 5.0);
//    float v = dot(vec4(a0, a1, a2, a3), vec4(0.4, 0.2, 0.2, 0.1)) + a4 * 0.1;
    
    float v = dot(vec4(a0, a1, a2, a3) + vec4(a0, a4, a5, a6), vec4(1.0 / 8.0));
    fragColor.r = v;
}
